org.apache.http.impl.cookie

## Class RFC2965SpecFactory

- java.lang.Object
- - org.apache.http.impl.cookie.RFC2965SpecFactory

All Implemented Interfaces:
  CookieSpecFactory, CookieSpecProvider

Deprecated.
(4.4) Use `RFC2965SpecProvider`.

    @Contract(threading=IMMUTABLE)
    @Deprecated
    public class RFC2965SpecFactory
    extends Object
    implements CookieSpecFactory, CookieSpecProvider

`CookieSpecProvider` implementation that provides an instance of `RFC2965Spec`. The instance returned by this factory can be shared by multiple threads.

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`RFC2965SpecFactory()` Deprecated.
`RFC2965SpecFactory(String[] datepatterns, boolean oneHeader)` Deprecated.

### Method Summary

Methods
`CookieSpec` `create(org.apache.http.protocol.HttpContext context)` Deprecated. Creates an instance of `CookieSpec`.
`CookieSpec` `newInstance(org.apache.http.params.HttpParams params)` Deprecated. Creates an instance of `CookieSpec` using given HTTP parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RFC2965SpecFactory

    public RFC2965SpecFactory(String[] datepatterns,
                      boolean oneHeader)

Deprecated.

#### RFC2965SpecFactory

    public RFC2965SpecFactory()

Deprecated.

### Method Detail

#### newInstance

    public CookieSpec newInstance(org.apache.http.params.HttpParams params)

Deprecated.
Description copied from interface: `CookieSpecFactory`
Creates an instance of `CookieSpec` using given HTTP parameters.

Specified by:
  `newInstance` in interface `CookieSpecFactory`
Parameters:
  `params` - HTTP parameters.
Returns:
  cookie spec.

#### create

    public CookieSpec create(org.apache.http.protocol.HttpContext context)

Deprecated.
Description copied from interface: `CookieSpecProvider`
Creates an instance of `CookieSpec`.

Specified by:
  `create` in interface `CookieSpecProvider`
Returns:
  auth scheme.